Export a legal hold
curl --request POST \
--url https://api.notion.com/admin/v1/legal_holds/{legal_hold_id}/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Notion-Version: <notion-version>' \
--data '
{
"legal_hold_export_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requesting_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.notion.com/admin/v1/legal_holds/{legal_hold_id}/export"
payload = {
"legal_hold_export_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requesting_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Notion-Version": "<notion-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Notion-Version': '<notion-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
legal_hold_export_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
requesting_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.notion.com/admin/v1/legal_holds/{legal_hold_id}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"legal_hold_export_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "error",
"code": "validation_error",
"status": 400,
"message": "The request body is invalid."
}{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "Unauthorized."
}{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Forbidden."
}{
"type": "error",
"code": "not_found",
"status": 404,
"message": "Not found."
}{
"type": "error",
"code": "rate_limited",
"status": 429,
"message": "Rate limited."
}{
"type": "error",
"code": "internal_server_error",
"status": 500,
"message": "An unexpected error occurred."
}Legal holds
Export a legal hold
Export a legal hold.
POST
/
v1
/
legal_holds
/
{legal_hold_id}
/
export
Export a legal hold
The organization bot token must have the following scopes:
legal-hold:export
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Admin API version to use for this request.
Available options:
2026-06-01 Path Parameters
Body
application/json
Response
⌘I